Delete the SSO connection
curl --request DELETE \
--url https://api.sazabi.com/v1/sso/connection \
--header 'Content-Type: application/json' \
--data '
{
"organizationId": "<string>"
}
'import requests
url = "https://api.sazabi.com/v1/sso/connection"
payload = { "organizationId": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({organizationId: '<string>'})
};
fetch('https://api.sazabi.com/v1/sso/connection', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sazabi.com/v1/sso/connection",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_POSTFIELDS => json_encode([
'organizationId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sazabi.com/v1/sso/connection"
payload := strings.NewReader("{\n \"organizationId\": \"<string>\"\n}")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.sazabi.com/v1/sso/connection")
.header("Content-Type", "application/json")
.body("{\n \"organizationId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sazabi.com/v1/sso/connection")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"organizationId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"deleted": true,
"endedAccessUserCount": 4503599627370495
}SSO
Delete the SSO connection
Delete the organization’s SSO connection and end the sessions and MCP access of the people who signed in through it. Refused while any domain enforces SSO.
DELETE
https://api.sazabi.com/v1
/
sso
/
connection
Delete the SSO connection
curl --request DELETE \
--url https://api.sazabi.com/v1/sso/connection \
--header 'Content-Type: application/json' \
--data '
{
"organizationId": "<string>"
}
'import requests
url = "https://api.sazabi.com/v1/sso/connection"
payload = { "organizationId": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({organizationId: '<string>'})
};
fetch('https://api.sazabi.com/v1/sso/connection', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sazabi.com/v1/sso/connection",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_POSTFIELDS => json_encode([
'organizationId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sazabi.com/v1/sso/connection"
payload := strings.NewReader("{\n \"organizationId\": \"<string>\"\n}")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.sazabi.com/v1/sso/connection")
.header("Content-Type", "application/json")
.body("{\n \"organizationId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sazabi.com/v1/sso/connection")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"organizationId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"deleted": true,
"endedAccessUserCount": 4503599627370495
}